Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.ode.bpel.compiler.bom
Enum Process.Version

    java.lang.Object
      java.lang.Enum<Process.Version>
          org.apache.ode.bpel.compiler.bom.Process.Version

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Process.Version>

Enclosing class:
  Process

    public static enum Process.Version

extends java.lang.Enum<Process.Version>

Enum Constant Summary
`BPEL11`
`BPEL20`
`BPEL20_DRAFT`

Method Summary
`static Process.Version` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Process.Version[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BPEL11

    public static final Process.Version BPEL11

### BPEL20_DRAFT

    public static final Process.Version BPEL20_DRAFT

### BPEL20

    public static final Process.Version BPEL20

Method Detail

### values

    public static final Process.Version[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Process.Version c : Process.Version.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Process.Version valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD